
import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/widgets/desktop/desktop_forgot_password.dart';
import 'package:flutter_wisetronic/widgets/general/breadcrumbs.dart';
import 'package:flutter_wisetronic/widgets/mobile/mobile_forgot_password.dart';
import 'package:responsive_builder/responsive_builder.dart';

import '../constants.dart';
import '../generated/l10n.dart';
import '../widgets/general/bottom_nav.dart';
import '../widgets/general/navigationbar.dart';
import '../widgets/mobile/MobileBottomNav.dart';

class ForgotPassword extends StatelessWidget {
  const ForgotPassword({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ResponsiveBuilder(
      builder: (context, sizingInformation) =>
          Scaffold(
            appBar: MiniNavigationBar(
              title: S.of(context).forgot_password,
              back: true,
              breadCrumbs: [
                BreadCrumb(S.of(context).forgot_password, null),
              ],
              breadCrumbHeight: sizingInformation.deviceScreenType == DeviceScreenType.mobile ? null : Constants.BREADCRUMB_HEIGHT,
            ),
            drawer: null,
            body: ScreenTypeLayout(
              mobile: MobileForgotPassword(),
              tablet: DesktopForgotPassword(),
              desktop: DesktopForgotPassword(),
            ),
            bottomNavigationBar: ScreenTypeLayout(
              mobile: MobileBottomNav(currentIndex: 0,),
              tablet: BottomNav(),
              desktop: BottomNav(),
            ),
          ),
    );
  }

}